package com.ruoyi.shipping.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 箱跟踪对象 t_cntrtracking
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
public class TCntrtracking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 箱号 */
    @Excel(name = "箱号")
    private String fNo;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /** 箱类型 */
    @Excel(name = "箱类型")
    private Long fTypeid;

    /** 箱主 */
    @Excel(name = "箱主")
    private String fOwner;

    /** 船名 */
    @Excel(name = "船名")
    private String fVsl;

    /** 航次 */
    @Excel(name = "航次")
    private String fVoy;

    /** 最新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "最新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdatetime;

    /** 最新地点 */
    @Excel(name = "最新地点")
    private String fUpdateaddress;

    /** 最新空重 */
    @Excel(name = "最新空重")
    private String fUpdateef;

    /** 数据字典 好 坏 */
    @Excel(name = "数据字典 好 坏")
    private String fCntrstatus;

    /** 默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "默认 T ,正常T 停用F 下拉选择")
    private String fStatus;
    /**数据字典 调箱动作*/
    @Excel(name = "数据字典 调箱动作")
    private String fOpctnstatus;
    @Excel(name = "铅封号")
    private String fSealno;
    //箱主中文
    private String ownerName;
    //箱类型中文
    private String typeidName;
    //空重中文
    private String updateEFName;
    //箱状态中文
    private String cntrstatusName;
    //查询时间区间
    private List<String> cLoadDate;
    //集装箱尺码
    private Long cntrsize;
    //集装箱尺码中文
    private String cntrsizeName;
    //地点中文名称
    private String addressName;
    //调箱动作中文
    private String opctnstatusName;

    public String getfSealno() {
        return fSealno;
    }

    public void setfSealno(String fSealno) {
        this.fSealno = fSealno;
    }

    public String getOpctnstatusName() {
        return opctnstatusName;
    }

    public void setOpctnstatusName(String opctnstatusName) {
        this.opctnstatusName = opctnstatusName;
    }

    public String getfOpctnstatus() {
        return fOpctnstatus;
    }

    public void setfOpctnstatus(String fOpctnstatus) {
        this.fOpctnstatus = fOpctnstatus;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfNo(String fNo) 
    {
        this.fNo = fNo;
    }

    public String getfNo() 
    {
        return fNo;
    }
    public void setfMblno(String fMblno) 
    {
        this.fMblno = fMblno;
    }

    public String getfMblno() 
    {
        return fMblno;
    }
    public void setfTypeid(Long fTypeid) 
    {
        this.fTypeid = fTypeid;
    }

    public Long getfTypeid() 
    {
        return fTypeid;
    }
    public void setfOwner(String fOwner) 
    {
        this.fOwner = fOwner;
    }

    public String getfOwner() 
    {
        return fOwner;
    }
    public void setfVsl(String fVsl) 
    {
        this.fVsl = fVsl;
    }

    public String getfVsl() 
    {
        return fVsl;
    }
    public void setfVoy(String fVoy) 
    {
        this.fVoy = fVoy;
    }

    public String getfVoy() 
    {
        return fVoy;
    }
    public void setfUpdatetime(Date fUpdatetime) 
    {
        this.fUpdatetime = fUpdatetime;
    }

    public Date getfUpdatetime() 
    {
        return fUpdatetime;
    }
    public void setfUpdateaddress(String fUpdateaddress) 
    {
        this.fUpdateaddress = fUpdateaddress;
    }

    public String getfUpdateaddress() 
    {
        return fUpdateaddress;
    }
    public void setfUpdateef(String fUpdateef) 
    {
        this.fUpdateef = fUpdateef;
    }

    public String getfUpdateef() 
    {
        return fUpdateef;
    }
    public void setfCntrstatus(String fCntrstatus) 
    {
        this.fCntrstatus = fCntrstatus;
    }

    public String getfCntrstatus() 
    {
        return fCntrstatus;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getTypeidName() {
        return typeidName;
    }

    public void setTypeidName(String typeidName) {
        this.typeidName = typeidName;
    }

    public String getUpdateEFName() {
        return updateEFName;
    }

    public void setUpdateEFName(String updateEFName) {
        this.updateEFName = updateEFName;
    }

    public String getCntrstatusName() {
        return cntrstatusName;
    }

    public void setCntrstatusName(String cntrstatusName) {
        this.cntrstatusName = cntrstatusName;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public Long getCntrsize() {
        return cntrsize;
    }

    public void setCntrsize(Long cntrsize) {
        this.cntrsize = cntrsize;
    }

    public String getCntrsizeName() {
        return cntrsizeName;
    }

    public void setCntrsizeName(String cntrsizeName) {
        this.cntrsizeName = cntrsizeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fNo", getfNo())
            .append("fMblno", getfMblno())
            .append("fTypeid", getfTypeid())
            .append("fOwner", getfOwner())
            .append("fVsl", getfVsl())
            .append("fVoy", getfVoy())
            .append("fUpdatetime", getfUpdatetime())
            .append("fUpdateaddress", getfUpdateaddress())
            .append("fUpdateef", getfUpdateef())
            .append("fCntrstatus", getfCntrstatus())
            .append("fStatus", getfStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
